com.ihr.xbrl.om.xdt

## Class XDTFactForApplications

- java.lang.Object
- - com.ihr.xbrl.om.xdt.XDTFact
  - - com.ihr.xbrl.om.xdt.XDTFactForApplications

- Direct Known Subclasses:
    XDTFactWithVirtualDimensions

      public class XDTFactForApplications
      extends XDTFact

  The Class XDTFactForApplications.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XDTFactForApplications(XBRLFactItem fact, XDTProcessor processor, XDTInfosetConsumer xdtInfoset, boolean bThrowValidationExceptions)` Instantiates a new XDT fact for applications.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Iterator<javax.xml.namespace.QName>` | `getDimensions()` List of dimensions applicable to this fact without filtering using the dimensions container This depends if the primary item is open or closed.
    `java.util.Iterator<javax.xml.namespace.QName>` | `getDimensions(int container)` List of dimensions applicable to this fact This depends if the primary item is open or closed.
    `java.lang.Object` | `getDimensionValue(int container, javax.xml.namespace.QName dimensionName)` Returns the value of this dimension for this fact.

    - ### Methods inherited from class com.ihr.xbrl.om.xdt.XDTFact

      `equals, getDimensionPreferredContainer, getDimensionValue, getFact, getProcessor, hashCode, isDefaultValue, validate`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XDTFactForApplications

          public XDTFactForApplications(XBRLFactItem fact,
                                XDTProcessor processor,
                                XDTInfosetConsumer xdtInfoset,
                                boolean bThrowValidationExceptions)

      Instantiates a new XDT fact for applications.
      Parameters:
        `fact` - the fact
        `processor` - the processor
        `xdtInfoset` - the xdt infoset
        `bThrowValidationExceptions` - the b throw validation exceptions

  - ### Method Detail

    - #### getDimensions

          public java.util.Iterator<javax.xml.namespace.QName> getDimensions(int container)

      List of dimensions applicable to this fact This depends if the primary item is open or closed. If it is open then the list includes all dimensions in the DTS If this is closed then the list includes only the union of all dimensions in hypercubes.
      Parameters:
        `container` - XDTHypercubeUse.SEGMENT or XDTHypercubeUse.SCENARIO containers are treated independently
      Returns:
        Iterator<QName>

    - #### getDimensions

          public java.util.Iterator<javax.xml.namespace.QName> getDimensions()

      List of dimensions applicable to this fact without filtering using the dimensions container This depends if the primary item is open or closed. If it is open then the list includes all dimensions in the DTS If this is closed then the list includes only the union of all dimensions in hypercubes.
      Returns:
        Iterator<QName>

    - #### getDimensionValue

          public java.lang.Object getDimensionValue(int container,
                                           javax.xml.namespace.QName dimensionName)

      Returns the value of this dimension for this fact. If the dimension is explicit then the returned value is a QName. This could be the default dimension value or the value explicitly set in the context. If the dimension is implicit then the returned value is an XMLFragment whose content is the set of nodes children of the typedMember element. Some people believes that one dimension cannot exist in both containers but this is technically possible so this function receives the container as a parameter. Applications using this function can made two calls to this function with SEGMENT and SCENARIO if the first call does not retrieve any value.
      Overrides:
        `getDimensionValue` in class `XDTFact`
      Parameters:
        `container` - the container
        `dimensionName` - the dimension name
      Returns:
        Object